## evalFun accepts a vector of integers, length 49 (dimensionality of the ESP problem)
evalFun <- function(candidateSolution){
    evalCommand <- "./evaluate.sh "
    parsedCandidate <- paste(candidateSolution, sep=",", collapse = ",")
    return(system(paste0(evalCommand, "'", parsedCandidate, "'"), intern = T))
}

## Generate a bunch of random candidate solutions
lower <- c(6,7,3,3,3,5,3,3,25,17,2,1,0.25,0.05,0.07,
            0.005,0.07,1e-04,0.08,0.25,0.08,0.5,1e-06,
           2,1e-06,1e-06,1,2,0.5)
upper<- c(14,13,7,9,7,9,5,7,35,25,5,7,2,0.15,0.11,0.02,
          0.13,0.002,0.12,0.35,0.12,0.9,0.01,4,1.1,0.0625,
          2,5,0.75)

GenerateCS<-function(){
    candidateSolutions<-vector()
    for (i in 1:29){
        candidateSolutions<-c(candidateSolutions,
                              sample(c(lower[i]:upper[i]),1))
    }
    return(candidateSolutions)
}
candidateSolutions<-replicate(5,GenerateCS())
candidateSolutions <- matrix(candidateSolutions, ncol = 29, byrow = T)

## Evaluate the candidates
for(i in 1:nrow(candidateSolutions)){
    ## Print each result
    print(evalFun(candidateSolutions[i,]))
}
