library(SPOT)

evalFun <- function(candidateSolution){
    evalCommand <- "./evaluate.sh "
    parsedCandidate <- paste(candidateSolution, sep=",", collapse = ",")
    return(as.numeric(system(paste0(evalCommand, "'", parsedCandidate, "'"), intern = T)))
}

lower <- c(6,7,3,3,3,5,3,3,25,17,2,1,0.25,0.05,0.07,
           0.005,0.07,1e-04,0.08,0.25,0.08,0.5,1e-06,
           2,1e-06,1e-06,1,2,0.5)
upper<- c(14,13,7,9,7,9,5,7,35,25,5,7,2,0.15,0.11,0.02,
          0.13,0.002,0.12,0.35,0.12,0.9,0.01,4,1.1,0.0625,
          2,5,0.75)
wFun <- wrapFunction(evalFun)
spot(NULL,wFun, lower = lower, upper = upper, control = list(funEvals=5,
                                                             model = buildRandomForest,
                                                             designControl=list(size=2)))
